# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fantoccini"
version = "0.21.0"
authors = ["Jon Gjengset <jon@thesquareplanet.com>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-level API for programmatically interacting with web pages through WebDriver."
homepage = "https://github.com/jonhoo/fantoccini"
documentation = "https://docs.rs/fantoccini"
readme = "README.md"
keywords = [
    "webdriver",
    "chromedriver",
    "geckodriver",
    "phantomjs",
    "automation",
]
categories = [
    "api-bindings",
    "development-tools::testing",
    "web-programming::http-client",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/jonhoo/fantoccini.git"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[lib]
name = "fantoccini"
path = "src/lib.rs"

[[example]]
name = "basic"
path = "examples/basic.rs"

[[example]]
name = "wait"
path = "examples/wait.rs"

[[test]]
name = "actions"
path = "tests/actions.rs"

[[test]]
name = "alert"
path = "tests/alert.rs"

[[test]]
name = "common"
path = "tests/common.rs"

[[test]]
name = "elements"
path = "tests/elements.rs"

[[test]]
name = "local"
path = "tests/local.rs"

[[test]]
name = "remote"
path = "tests/remote.rs"

[dependencies.base64]
version = "0.22"

[dependencies.cookie]
version = "0.18.0"
features = ["percent-encode"]

[dependencies.futures-core]
version = "0.3"

[dependencies.futures-util]
version = "0.3"

[dependencies.http]
version = "1.0.0"

[dependencies.http-body-util]
version = "0.1.0"

[dependencies.hyper]
version = "1.1.0"
features = [
    "client",
    "http1",
]

[dependencies.hyper-rustls]
version = "0.27.0"
optional = true

[dependencies.hyper-tls]
version = "0.6.0"
optional = true

[dependencies.hyper-util]
version = "0.1.3"
features = [
    "client",
    "http1",
    "client-legacy",
    "tokio",
]

[dependencies.mime]
version = "0.3.9"

[dependencies.serde]
version = "1.0.103"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.50"

[dependencies.time]
version = "0.3"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "rt",
    "time",
]

[dependencies.url]
version = "2.2.2"

[dependencies.webdriver]
version = "0.50"
default-features = false

[dev-dependencies.hyper]
version = "1.1.0"
features = ["server"]

[dev-dependencies.hyper-util]
version = "0.1.3"
features = [
    "server",
    "http1",
]

[dev-dependencies.serial_test]
version = "3.0"

[dev-dependencies.tokio]
version = "1"
features = ["full"]

[features]
default = ["native-tls"]
native-tls = [
    "hyper-tls",
    "openssl",
]
rustls-tls = ["hyper-rustls"]

[target."cfg(any())".dependencies.openssl]
version = "0.10.60"
optional = true

[target."cfg(any())".dependencies.openssl-macros]
version = "0.1.1"
optional = true
